part of 'generated.dart';

class DeleteStaffCourseVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteStaffCourseVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteStaffCourseData> dataDeserializer = (dynamic json)  => DeleteStaffCourseData.fromJson(jsonDecode(json));
  Serializer<DeleteStaffCourseVariables> varsSerializer = (DeleteStaffCourseVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteStaffCourseData, DeleteStaffCourseVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteStaffCourseData, DeleteStaffCourseVariables> ref() {
    DeleteStaffCourseVariables vars= DeleteStaffCourseVariables(id: id,);
    return _dataConnect.mutation("deleteStaffCourse", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteStaffCourseStaffCourseDelete {
  final String id;
  DeleteStaffCourseStaffCourseDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffCourseStaffCourseDelete otherTyped = other as DeleteStaffCourseStaffCourseDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteStaffCourseStaffCourseDelete({
    required this.id,
  });
}

@immutable
class DeleteStaffCourseData {
  final DeleteStaffCourseStaffCourseDelete? staffCourse_delete;
  DeleteStaffCourseData.fromJson(dynamic json):
  
  staffCourse_delete = json['staffCourse_delete'] == null ? null : DeleteStaffCourseStaffCourseDelete.fromJson(json['staffCourse_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffCourseData otherTyped = other as DeleteStaffCourseData;
    return staffCourse_delete == otherTyped.staffCourse_delete;
    
  }
  @override
  int get hashCode => staffCourse_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (staffCourse_delete != null) {
      json['staffCourse_delete'] = staffCourse_delete!.toJson();
    }
    return json;
  }

  DeleteStaffCourseData({
    this.staffCourse_delete,
  });
}

@immutable
class DeleteStaffCourseVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteStaffCourseVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffCourseVariables otherTyped = other as DeleteStaffCourseVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteStaffCourseVariables({
    required this.id,
  });
}

